View Issue Details

IDProjectCategoryView StatusLast Update
16650Bug reportsStatisticspublic2020-09-21 14:54
Reportergalads Assigned Togabrieljenik  
PrioritynoneSeverityminor 
Status closedResolutionfixed 
Product Version4.3.15 
Summary16650: Timing not recorded when exporting results
Description

When timing is enabled for the survey, timing statistics is available for the survey but when the result is exported, it is not included in the exported result (CSV, PDF, Microsoft words).

Steps To Reproduce
  1. create a survey and enable "save timing" from notification and data management
  2. create any number of questions
  3. Activate and participate in the survey
  4. collect any numbers of responses
  5. Export results from statistics
TagsNo tags attached.
Complete LimeSurvey version number (& build)Latest Master
I will donate to the project if issue is resolvedNo
Browser
Database & DB-VersionIrrelevant
Server OS (if known)
Webserver software & version (if known)
PHP VersionIrrelevant

Relationships

has duplicate 16678 closedcdorin Survey question timings not exporting 

Activities

gabrieljenik

gabrieljenik

2020-09-16 17:31

developer   ~59849

PR: https://github.com/LimeSurvey/LimeSurvey/pull/1595

gabrieljenik

gabrieljenik

2020-09-21 14:41

developer   ~59897

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=30492

lime_release_bot

lime_release_bot

2020-09-21 14:54

administrator   ~59900

Fixed in Release 4.3.17+200921

Related Changesets

LimeSurvey: master 6fa5df49

2020-09-16 17:25:26

gabrieljenik

Details Diff
Fixed issue 16650: Timing not recorded when exporting results

Made the response to be based on the queried response and not start from scratch. Timings are there initially. If starting from scratch, we loose them.
Affected Issues
16650
mod - application/helpers/admin/export/Writer.php Diff File

LimeSurvey: master 5a8fe367

2020-09-21 14:41:42

ollehar1


Committer: GitHub Details Diff
Fixed issue 16650: Timing not recorded when exporting results

Dev: Merge pull request #1595 from gabrieljenik/bug/16650--Timing-not-recorded-when-exporting-results
Affected Issues
16650
mod - application/helpers/admin/export/Writer.php Diff File

Issue History

Date Modified Username Field Change
2020-09-09 16:39 galads New Issue
2020-09-09 16:39 galads Status new => assigned
2020-09-09 16:39 galads Assigned To => cdorin
2020-09-15 15:07 cdorin Assigned To cdorin => gabrieljenik
2020-09-16 17:31 gabrieljenik Note Added: 59849
2020-09-20 17:41 cdorin Relationship added has duplicate 16678
2020-09-21 14:41 ollehar1 Changeset attached => LimeSurvey master 5a8fe367
2020-09-21 14:41 gabrieljenik Changeset attached => LimeSurvey master 6fa5df49
2020-09-21 14:41 gabrieljenik Note Added: 59897
2020-09-21 14:41 gabrieljenik Resolution open => fixed
2020-09-21 14:54 lime_release_bot Note Added: 59900
2020-09-21 14:54 lime_release_bot Status assigned => closed